WinActor よくあるご質問

FAQ詳細

  • 質問

    .NET3.5機能(.NET2.0-3.5)が導入されていない(無効)Windows10環境で、WinActor5.2.1で機能更新された新しい「Excel操作(全て閉じる)」ライブラリを実行すると、エラー番号「-2146232576」のエラーが発生します。 .NET3.5機能(.NET2.0-3.5)を導入(有効)にすると、エラーなく動作するようになります。 このエラーの対処方法を教えてください。

  • 回答

    .NET3.5を追加インストールしていただければと思います。

    【ご参考】MSDNブログ<https://blogs.msdn.microsoft.com/dsvc/2013/03/04/usage-of-net-collections-types-in-vbscript-is-not-supported-after-net-4-5/>

     

    ご参考までに、.NET3.5を使わないようにした「Excel操作(全て閉じる)改 」を置きます。

     

    念のためですが、
    ・シナリオ内で編集したExcelを保存したい場合には「Excel操作(上書き保存して閉じる)」

     や 「Excel操作(上書き保存する)」などを用いて明示的に保存するようにしてください。
    ・ノードの「Excel操作」とExcel関連ライブラリを同一Excelファイルに対して混在使用すると
     Excelの排他制御によるブロックを受けることがあります。出来るだけExcel関連ライブラリ

     に統一するようにしてください。

    • 製品バージョン:WinActor5.2.1
    • 属性名:技術的な質問 ライブラリ エラー 動作環境 実行エラー
    • FAQ番号:JPN00308
    • URL:
    • 更新日:2019/02/14
  • この質問は役に立ちましたか?

Powered by MatchWeb